Build a one-click DNS apply URL
Builds the signed Domain Connect apply URL for the selected sending-only or sending-and-receiving service. Manual DNS remains available for either mode.
Builds the signed Domain Connect apply URL for the selected sending-only or sending-and-receiving service. Manual DNS remains available for either mode.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
mode*string
Value in
- "send-only"
- "send-and-receive"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/domains/string/domain-connect/apply-url" \ -H "Content-Type: application/json" \ -d '{ "mode": "send-only" }'{ "url": "string"}